module Smort
  # Project root
  ROOT = File.dirname(__FILE__), '..', '..'

  # Pull the project version out of the VERSION file
  VERSION = File.read(File.join(ROOT, 'VERSION')).strip

  # We don't really do all that much, be humble
  SUMMARY  = 'An erudite JSON schema and document manager'

  # Your benevolent dictator for life
  AUTHOR   = 'Sean Clemmer'

  # Turn here to strangle your dictator
  EMAIL    = 'sclemmer@bluejeans.com'

  # Like the MIT license, but even simpler
  LICENSE  = 'ISC'

  # If you really just can't get enough
  HOMEPAGE = 'https://github.com/sczizzo/smort'

  # Bundled extensions
  TRAVELING_RUBY_VERSION = '20150210-2.2.0'
  THIN_VERSION = '1.6.3'
  EM_VERSION = '1.0.4'

  # Every project deserves its own ASCII art
  ART      = <<-'EOART' % VERSION
           ___           ___           ___           ___
          /  /\         /__/\         /  /\         /  /\          ___
         /  /:/_       |  |::\       /  /::\       /  /::\        /  /\
        /  /:/ /\      |  |:|:\     /  /:/\:\     /  /:/\:\      /  /:/
       /  /:/ /::\   __|__|:|\:\   /  /:/  \:\   /  /:/~/:/     /  /:/
      /__/:/ /:/\:\ /__/::::| \:\ /__/:/ \__\:\ /__/:/ /:/___  /  /::\
      \  \:\/:/~/:/ \  \:\~~\__\/ \  \:\ /  /:/ \  \:\/:::::/ /__/:/\:\
       \  \::/ /:/   \  \:\        \  \:\  /:/   \  \::/~~~~  \__\/  \:\
        \__\/ /:/     \  \:\        \  \:\/:/     \  \:\           \  \:\
          /__/:/       \  \:\        \  \::/       \  \:\           \__\/
          \__\/         \__\/         \__\/         \__\/
                                                                         v%s
  EOART
end