;(function(){
  jQuery(document).ready(function($){
    JSONEditor.defaults.options.theme = 'bootstrap3';
    JSONEditor.defaults.options.iconlib = 'fontawesome4';

    var editor = new JSONEditor(document.getElementById('editor'), {
      ajax: true,
      schema: {
        $ref: "http://rawgit.com/jdorn/json-editor/master/examples/basic_person.json",
        format: "grid"
      },
      disable_collapse: true,
      disable_properties: true,
      disable_edit_json: true,
      no_additional_properties: true
    });

    editor.on('change',function() {
      var errors = editor.validate();
      var indicator = document.getElementById('submit');

      if (errors.length) { // Not valid
        indicator.className = 'btn btn-danger';
      } else { // Valid
        indicator.className = 'btn btn-success';
      }
    });

    $('#submit').click(function() {
      var errors = editor.validate();
      if (errors.length) {
        return false;
      } else {
        console.log(editor.getValue());
        alert(editor.getValue());
      }
    });

  });
})();